<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_781e2532c1e56969c535c1" . "184064bae6" => base64_decode("b25Db" . "3JlQm" . "9vdA=" . "="), "_fad3a97fa7919b1999" . "c977c8bdad925a" => base64_decode("c3ltZm9" . "ueV9yZX" . "F1ZXN0"), "_e6d18c493faa" . "20d5d45c0751d" . "2c02ce6" => base64_decode("TG9jYXRpb2" . "46IA=="), "_2b2486424e6dfb90" . "6c925739c329be7c" => base64_decode("aGVhZG" . "Vy"), "_87daa84e346f6420a3f" . "3426e05d16a7b" => base64_decode("L" . "w" . "=" . "="), "_eea266d1da508f42deea4" . "9cc3add68ec" => base64_decode("UF" . "VU"), "_db7b295629faa1" . "6027a2c263095eb" . "a70" => base64_decode("cGhwX3NhcGl" . "fbmFtZQ=="), "_c91b0ff19f" . "81a8873a459" . "3a23719472c" => base64_decode("cnR" . "yaW" . "0="), "_4d707fab" . "93bebb00b" . "be69e8159" . "697c90" => base64_decode(""), "_bd8510ebf29b0f68" . "7c25c90c740715d8" => base64_decode("aHR0cF9yZXN" . "wb25zZV9jb2" . "Rl"), "_e06da3ffba2e84b" . "8e6f94bd2d6ca3c5" . "2" => base64_decode("Y3JlYXRlX2ludGVy" . "bmFsX2xpbms="), "_8ec8f26c742278f9" . "0615f50d682eea79" => base64_decode("UE9T" . "VA=="), "_ab8b6a5b56b4cfd73230ed5cad4fb" . "54c" => base64_decode("Y29yZS5ib" . "290ZWQ="), "_14feb73099827a30c31c0b996c1" . "3f13c" => base64_decode("b25LZXJuZ" . "WxSZXF1ZX" . "N0"), "_8fec21706bd243b37ecf62b1caf" . "8fb8a" => base64_decode("Y2x" . "p"));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_c91b0ff19f81a887" . "3a4593a23719472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_87daa84e346f6420a3f3426e05d" . "16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_14feb73099827a30c31c0b996" . "c13f13c"], 1536), $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ab8b6a5b56b4cfd73230ed5c" . "ad4fb54c"] => $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_781e2532c1e5696" . "9c535c1184064bae" . "6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93be" . "bb00bbe69e815" . "9697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8ec8f26c742278f90615f5" . "0d682eea79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_eea266d1da508f42deea4" . "9cc3add68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_db7b295629faa16027" . "a2c263095eba70"]() === $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_8fec21706bd243b37e" . "cf62b1caf8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_fad3a97" . "fa7919b1" . "999c977c" . "8bdad925" . "a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e06da3ffba2e84b8e6f94bd2" . "d6ca3c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4d707fab93bebb00bbe69e8159697c" . "90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_bd8510ebf29b0f687c25c90c74" . "0715d8"](301);
            $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2b2486424e6dfb906c9" . "25739c329be7c"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e6d18c493faa20d5d45c" . "0751d2c02ce6"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e06da3ffba2e84b8e6f" . "94bd2d6ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}